# -*- rpm-spec -*-
# $Id: libnfsidmap,v 1.6 2005/05/07 15:26:01 me Exp $

%def_disable ldap
%def_disable static

Name: libnfsidmap
Version: 0.10
Release: alt2

Summary: Name to user id mapping library
License: BSD
Group: System/Libraries
Url: http://www.citi.umich.edu/projects/nfsv4/linux/

Source0: %url/%name/nfsidmap-0.10.tar.bz2
Patch0: %name-0.10-alt-am-fix.patch
Patch1: %name-0.10-alt-noldap.patch

BuildRequires: gcc-c++
%if_enabled ldap
BuildRequires: libldap-devel
%endif

%package devel
Summary: Name to user id mapping library and headers
Group: Development/C
Requires: %name = %version-%release

%if_enabled static
%package devel-static
Summary: Name to user id mapping static library
Group: Development/C
Requires: %name-devel = %version-%release
%endif

%description
%name is a library holding mulitiple methods of mapping names to id's
and visa versa, mainly for NFSv4.

%description devel
%name is a library holding mulitiple methods of mapping names to id's
and visa versa, mainly for NFSv4.
This package holds development part of %name library

%if_enabled static
%description devel-static
%name is a library holding mulitiple methods of mapping names to id's
and visa versa, mainly for NFSv4.
This package contains static %name library
%endif

%prep
%setup -qn nfsidmap-%version
%patch0 -p1
%if_disabled ldap
%patch1 -p1
%endif

%build
autoreconf -fisv
%configure --libdir=/%_lib %{subst_enable static}
%make_build

%install
%makeinstall libdir=%buildroot/%_lib
%__mkdir_p %buildroot%_libdir
find %buildroot/lib -name \*.so|while read; do
	%__ln_s -nf ../../lib/`readlink $REPLY` %buildroot%_libdir/${REPLY##*/}
	%__rm -f $REPLY
done
 
%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc COPYING README
/%_lib/%name.so.*

%files devel
%_libdir/%name.so
%_includedir/nfsidmap.h
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Sat May  7 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10-alt2
- made umich_ldap mappings build conditional and disabled by default

* Sat Feb 19 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.10-alt1
- Initial build.

